package com.flyer.foster.controller.app;

import com.flyer.foster.dto.CartoonQueryDTO;
import com.flyer.foster.service.ICartoonService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 漫画（小程序）
 *
 * @author flyer
 * @since 2024-05-25
 */
@RestController
@RequestMapping("/app/cartoon")
public class AppCartoonController {
    @Autowired
    private ICartoonService iCartoonService;

    /**
     * 漫画列表（小程序）
     *
     * @return
     */
    @GetMapping("/last")
    public R getLatestCartoon(CartoonQueryDTO queryDTO) {
        return R.ok().result(iCartoonService.getLatestCartoon(queryDTO));
    }
}
