package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.ArrayList;
import java.util.List;

/**
 * 用户更新DTO
 *
 * @author kelei
 * @since 2022/3/29/11:32
 */
@Data
public class UserAddOrUpdateDTO {
    private Integer id;

    @Pattern(regexp = "^[a-zA-Z]\\w{4,15}$", message = "用户名以字母开头，允许5-16字节，允许字母数字下划线")
    private String username;

//    @Pattern(regexp = "^(?=.*[A-Za-z])(?=.*\\d)[A-Za-z\\d|!-~]{5,18}$", message = "密码长度为5~18，至少含有一个字母和一个数字，不能以特殊字符开头")
    private String password;

    private String tenantId;

    private String remarks;

    private List<Integer> roleIdList = new ArrayList<>();

    /**
     * 组织机构管理员账号分配的模块列表
     */
    @NotNull(message = "请选择管理员用户的操作菜单")
    private List<Integer> moduleIdList = new ArrayList<>();
}
