package com.flyer.foster.mapper;

import com.flyer.foster.entity.CartoonUrl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 漫画图片 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-25
 */
public interface ICartoonUrlMapper extends BaseMapper<CartoonUrl> {

    /**
     * 物理删除
     * @param cartoonIdList
     * @return
     */
    boolean deleteByIdList(@Param("cartoonIdList") List<Integer> cartoonIdList);

    /**
     * 根据漫画id查询url集合
     * @param cartoonId
     * @return
     */
    List<String> getUrlList(@Param("cartoonId") Integer cartoonId);
}
