package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.LoginDTO;
import com.flyer.foster.dto.UserAddDto;
import com.flyer.foster.dto.UserQueryDTO;
import com.flyer.foster.dto.UserRespDTO;
import com.flyer.foster.entity.User;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IUserService extends IService<User> {
    /**
     * 获取RSA的公钥
     *
     * @param username 登录账号
     * @return
     */
    String getRsaKey(String username);

    /**
     * 登录
     *
     * @param loginDto
     * @return
     */
    String login(LoginDTO loginDto);

    /**
     * 多表查询用户信息
     *
     * @return list
     */
    IPage<UserRespDTO> getPageList(IPage<User> page, UserQueryDTO queryDTO);

    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean removeByIdList(List<Integer> idList);

    boolean addUser(UserAddDto addDTO);

    /**
     * 用户列表
     * @param queryDTO
     * @return
     */
    List<UserRespDTO> getList(UserQueryDTO queryDTO);
}
